## org.red5.server.so
Class FlexSharedObjectMessage

    java.lang.Object
      org.red5.server.net.rtmp.event.BaseEvent
          org.red5.server.so.SharedObjectMessage
              org.red5.server.so.FlexSharedObjectMessage

All Implemented Interfaces:
  Externalizable, Serializable, IEvent, IRTMPEvent, Constants, ISharedObjectMessage

    public class FlexSharedObjectMessage

extends SharedObjectMessage

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.red5.server.api.event.IEvent
`IEvent.Type`

Field Summary

Fields inherited from class org.red5.server.net.rtmp.event.BaseEvent
`header, object, refcount, source, timestamp`

Fields inherited from interface org.red5.server.net.rtmp.message.Constants

`HANDSHAKE_SIZE, HEADER_CONTINUE, HEADER_NEW, HEADER_SAME_SOURCE, HEADER_TIMER_CHANGE, MEDIUM_INT_MAX, SO_CLIENT_CLEAR_DATA, SO_CLIENT_DELETE_DATA, SO_CLIENT_INITIAL_DATA, SO_CLIENT_SEND_MESSAGE, SO_CLIENT_STATUS, SO_CLIENT_UPDATE_ATTRIBUTE, SO_CLIENT_UPDATE_DATA, SO_CONNECT, SO_DELETE_ATTRIBUTE, SO_DISCONNECT, SO_SEND_MESSAGE, SO_SET_ATTRIBUTE, SOURCE_TYPE_LIVE, SOURCE_TYPE_VOD, TYPE_ABORT, TYPE_AGGREGATE, TYPE_AUDIO_DATA, TYPE_BYTES_READ, TYPE_CHUNK_SIZE, TYPE_CLIENT_BANDWIDTH, TYPE_FLEX_MESSAGE, TYPE_FLEX_SHARED_OBJECT, TYPE_FLEX_STREAM_SEND, TYPE_INVOKE, TYPE_NOTIFY, TYPE_PING, TYPE_SERVER_BANDWIDTH, TYPE_SHARED_OBJECT, TYPE_STREAM_METADATA, TYPE_VIDEO_DATA`

Constructor Summary
`FlexSharedObjectMessage()`
`FlexSharedObjectMessage(IEventListener source, String name, int version, boolean persistent)` Creates Flex Shared Object event with given listener, name, SO version and persistence flag
`FlexSharedObjectMessage(String name, int version, boolean persistent)` Creates Flex Shared Object event with given name, version and persistence flag

Method Summary
`byte` `getDataType()` Getter for data type

Methods inherited from class org.red5.server.so.SharedObjectMessage
`addEvent, addEvent, addEvents, addEvents, clear, getEvents, getName, getObject, getType, getVersion, isEmpty, isPersistent, readExternal, releaseInternal, setIsPersistent, setName, setVersion, toString, writeExternal`

Methods inherited from class org.red5.server.net.rtmp.event.BaseEvent
`getHeader, getSource, getSourceType, getTimestamp, hasSource, release, retain, setHeader, setSource, setSourceType, setTimestamp, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.red5.server.net.rtmp.event.IRTMPEvent
`getHeader, getSourceType, getTimestamp, release, retain, setHeader, setSource, setSourceType, setTimestamp`

Methods inherited from interface org.red5.server.api.event.IEvent
`getSource, hasSource`

Constructor Detail

### FlexSharedObjectMessage

    public FlexSharedObjectMessage()

### FlexSharedObjectMessage

    public FlexSharedObjectMessage(String name,
                                   int version,
                                   boolean persistent)

  Creates Flex Shared Object event with given name, version and persistence flag

  Parameters:
    `name` - Event name
    `version` - SO version
    `persistent` - SO persistence flag

### FlexSharedObjectMessage

    public FlexSharedObjectMessage(IEventListener source,
                                   String name,
                                   int version,
                                   boolean persistent)

  Creates Flex Shared Object event with given listener, name, SO version and persistence flag

  Parameters:
    `source` - Event listener
    `name` - Event name
    `version` - SO version
    `persistent` - SO persistence flag

Method Detail

### getDataType

    public byte getDataType()

  Getter for data type

  Specified by:
    `getDataType` in interface `IRTMPEvent`
  Overrides:
    `getDataType` in class `SharedObjectMessage`
  Returns:
    Data type

Copyright © 2006-2010 The Red5 Project